// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class Grave2WAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new Grave2WAddonDeed();
			}
		}

		[ Constructable ]
		public Grave2WAddon()
		{
			AddComponent( new AddonComponent( 3808 ), 1, 0, 0 );
			AddComponent( new AddonComponent( 3810 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 4459 ), -1, 0, 0 );
			AddonComponent ac = null;

		}

		public Grave2WAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class Grave2WAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new Grave2WAddon();
			}
		}

		[Constructable]
		public Grave2WAddonDeed()
		{
			Name = "Grave2W";
Hue = 2406;
		}

		public Grave2WAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}